## galapi
Class xsInteger

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsInteger

public class xsInteger
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsInteger(int d)`

Method Summary
`protected static int` `integerToItem(int i)`
`protected static int` `itemToInteger(int it)`
`int` `toInt()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsInteger

    public xsInteger(int d)
              throws GalapiException

Method Detail

### toInt

    public int toInt()
              throws GalapiException

  Throws:
    `GalapiException`

### integerToItem

    protected static int integerToItem(int i)

### itemToInteger

    protected static int itemToInteger(int it)